diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.40/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.39/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2023-09-27 13:30:37.814839600 -0700
@@ -2320,7 +2261,7 @@
     }
 
     // refresh DL CQI A30 Map
-    std::map<uint16_t, uint32_t>::iterator itA30 = m_a30CqiTimers.begin();
+    auto itA30 = m_a30CqiTimers.begin();
     while (itA30 != m_a30CqiTimers.end())
     {
         NS_LOG_INFO(this << " A30-CQI for user " << (*itA30).first << " is "
@@ -2328,12 +2269,12 @@
         if ((*itA30).second == 0)
         {
             // delete correspondent entries
-            std::map<uint16_t, SbMeasResult_s>::iterator itMap = m_a30CqiRxed.find((*itA30).first);
+            auto itMap = m_a30CqiRxed.find((*itA30).first);
             NS_ASSERT_MSG(itMap != m_a30CqiRxed.end(),
                           " Does not find CQI report for user " << (*itA30).first);
             NS_LOG_INFO(this << " A30-CQI expired for user " << (*itA30).first);
             m_a30CqiRxed.erase(itMap);
-            std::map<uint16_t, uint32_t>::iterator temp = itA30;
+            auto temp = itA30;
             itA30++;
             m_a30CqiTimers.erase(temp);
         }
@@ -2349,7 +2290,7 @@
 FdTbfqFfMacScheduler::RefreshUlCqiMaps()
 {
     // refresh UL CQI  Map
-    std::map<uint16_t, uint32_t>::iterator itUl = m_ueCqiTimers.begin();
+    auto itUl = m_ueCqiTimers.begin();
     while (itUl != m_ueCqiTimers.end())
     {
         NS_LOG_INFO(this << " UL-CQI for user " << (*itUl).first << " is "
@@ -2357,13 +2298,13 @@
         if ((*itUl).second == 0)
         {
             // delete correspondent entries
-            std::map<uint16_t, std::vector<double>>::iterator itMap = m_ueCqi.find((*itUl).first);
+            auto itMap = m_ueCqi.find((*itUl).first);
             NS_ASSERT_MSG(itMap != m_ueCqi.end(),
                           " Does not find CQI report for user " << (*itUl).first);
             NS_LOG_INFO(this << " UL-CQI exired for user " << (*itUl).first);
             (*itMap).second.clear();
             m_ueCqi.erase(itMap);
-            std::map<uint16_t, uint32_t>::iterator temp = itUl;
+            auto temp = itUl;
             itUl++;
             m_ueCqiTimers.erase(temp);
         }
@@ -2378,9 +2319,8 @@
 void
 FdTbfqFfMacScheduler::UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size)
 {
-    std::map<LteFlowId_t, FfMacSchedSapProvider::SchedDlRlcBufferReqParameters>::iterator it;
     LteFlowId_t flow(rnti, lcid);
-    it = m_rlcBufferReq.find(flow);
+    auto it = m_rlcBufferReq.find(flow);
     if (it != m_rlcBufferReq.end())
     {
         NS_LOG_INFO(this << " UE " << rnti << " LC " << (uint16_t)lcid << " txqueue "
@@ -2435,7 +2375,7 @@
 FdTbfqFfMacScheduler::UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size)
 {
     size = size - 2; // remove the minimum RLC overhead
-    std::map<uint16_t, uint32_t>::iterator it = m_ceBsrRxed.find(rnti);
+    auto it = m_ceBsrRxed.find(rnti);
     if (it != m_ceBsrRxed.end())
     {
         NS_LOG_INFO(this << " UE " << rnti << " size " << size << " BSR " << (*it).second);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-amc.cc ns-3.40/src/lte/model/lte-amc.cc
--- ns-3.39/src/lte/model/lte-amc.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-amc.cc	2023-09-27 13:30:37.818839600 -0700
@@ -554,11 +554,10 @@
     NS_LOG_FUNCTION(this);
 
     std::vector<int> cqi;
-    Values::const_iterator it;
 
     if (m_amcModel == PiroEW2010)
     {
-        for (it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
+        for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
         {
             double sinr_ = (*it);
             if (sinr_ == 0.0)
@@ -594,7 +593,7 @@
         NS_ASSERT_MSG(rbgSize > 0, " LteAmc-Vienna: RBG size must be greater than 0");
         std::vector<int> rbgMap;
         int rbId = 0;
-        for (it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
+        for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
         {
             rbgMap.push_back(rbId++);
             if ((rbId % rbgSize == 0) || ((it + 1) == sinr.ConstValuesEnd()))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-anr.cc ns-3.40/src/lte/model/lte-anr.cc
--- ns-3.39/src/lte/model/lte-anr.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-anr.cc	2023-09-27 13:30:37.818839600 -0700
@@ -97,7 +97,7 @@
 {
     NS_LOG_FUNCTION(this << m_servingCellId << cellId);
 
-    NeighbourRelationTable_t::iterator it = m_neighbourRelationTable.find(cellId);
+    auto it = m_neighbourRelationTable.find(cellId);
     if (it != m_neighbourRelationTable.end())
     {
         NS_FATAL_ERROR("Cell ID " << cellId << " cannot be found in NRT");
@@ -157,8 +157,7 @@
     {
         if (measResults.haveMeasResultNeighCells && !(measResults.measResultListEutra.empty()))
         {
-            for (std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                     measResults.measResultListEutra.begin();
+            for (auto it = measResults.measResultListEutra.begin();
                  it != measResults.measResultListEutra.end();
                  ++it)
             {
@@ -167,8 +166,7 @@
                               "RSRQ measure missing for cellId " << it->physCellId);
 
                 // Update Neighbour Relation Table
-                NeighbourRelationTable_t::iterator itNrt =
-                    m_neighbourRelationTable.find(it->physCellId);
+                auto itNrt = m_neighbourRelationTable.find(it->physCellId);
                 if (itNrt != m_neighbourRelationTable.end())
                 {
                     // Update neighbour relation entry
@@ -243,7 +241,7 @@
 const LteAnr::NeighbourRelation_t*
 LteAnr::Find(uint16_t cellId) const
 {
-    NeighbourRelationTable_t::const_iterator it = m_neighbourRelationTable.find(cellId);
+    auto it = m_neighbourRelationTable.find(cellId);
     if (it == m_neighbourRelationTable.end())
     {
         NS_FATAL_ERROR("Cell ID " << cellId << " cannot be found in NRT");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-asn1-header.cc ns-3.40/src/lte/model/lte-asn1-header.cc
--- ns-3.39/src/lte/model/lte-asn1-header.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-asn1-header.cc	2023-09-27 13:30:37.818839600 -0700
@@ -23,7 +23,6 @@
 
 #include <cmath>
 #include <sstream>
-#include <stdio.h>
 
 namespace ns3
 {
@@ -165,7 +164,7 @@
     // Clause 16.11 ITU-T X.691
     else
     {
-        printf("FRAGMENTATION NEEDED!\n");
+        NS_LOG_DEBUG("Fragmentation needed!");
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-chunk-processor.cc ns-3.40/src/lte/model/lte-chunk-processor.cc
--- ns-3.39/src/lte/model/lte-chunk-processor.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-chunk-processor.cc	2023-09-27 13:30:37.818839600 -0700
@@ -72,8 +72,8 @@
     NS_LOG_FUNCTION(this);
     if (m_totDuration.GetSeconds() > 0)
     {
-        std::vector<LteChunkProcessorCallback>::iterator it;
-        for (it = m_lteChunkProcessorCallbacks.begin(); it != m_lteChunkProcessorCallbacks.end();
+        for (auto it = m_lteChunkProcessorCallbacks.begin();
+             it != m_lteChunkProcessorCallbacks.end();
              it++)
         {
             (*it)((*m_sumValues) / m_totDuration.GetSeconds());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-common.cc ns-3.40/src/lte/model/lte-common.cc
--- ns-3.39/src/lte/model/lte-common.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-common.cc	2023-09-27 13:30:37.818839600 -0700
@@ -143,7 +143,7 @@
     {
         val = -4096;
     }
-    int16_t valFp = (int16_t)(val * 8);
+    auto valFp = (int16_t)(val * 8);
     return (valFp);
 }
 
@@ -361,7 +361,7 @@
                                     << " for Q-QualMin IE value");
     }
 
-    double actual = static_cast<double>(qQualMinIeValue);
+    auto actual = static_cast<double>(qQualMinIeValue);
     NS_ASSERT(actual >= -34.0);
     NS_ASSERT(actual <= -3.0);
     return actual;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-enb-component-carrier-manager.cc ns-3.40/src/lte/model/lte-enb-component-carrier-manager.cc
--- ns-3.39/src/lte/model/lte-enb-component-carrier-manager.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-enb-component-carrier-manager.cc	2023-09-27 13:30:37.818839600 -0700
@@ -84,8 +84,7 @@
 {
     NS_LOG_FUNCTION(this);
     bool res = false;
-    std::map<uint8_t, LteMacSapProvider*>::iterator it =
-        m_macSapProvidersMap.find(componentCarrierId);
+    auto it = m_macSapProvidersMap.find(componentCarrierId);
     if ((uint16_t)componentCarrierId > m_noOfComponentCarriers)
     {
         NS_FATAL_ERROR("Inconsistent componentCarrierId or you didn't call "
@@ -110,8 +109,7 @@
 {
     NS_LOG_FUNCTION(this);
     bool res = false;
-    std::map<uint8_t, LteCcmMacSapProvider*>::iterator it =
-        m_ccmMacSapProviderMap.find(componentCarrierId);
+    auto it = m_ccmMacSapProviderMap.find(componentCarrierId);
 
     if (it == m_ccmMacSapProviderMap.end())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-enb-mac.cc ns-3.40/src/lte/model/lte-enb-mac.cc
--- ns-3.39/src/lte/model/lte-enb-mac.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-enb-mac.cc	2023-09-27 13:30:37.818839600 -0700
@@ -499,8 +499,7 @@
         // process received RACH preambles and notify the scheduler
         FfMacSchedSapProvider::SchedDlRachInfoReqParameters rachInfoReqParams;
         NS_ASSERT(subframeNo > 0 && subframeNo <= 10); // subframe in 1..10
-        for (std::map<uint8_t, uint32_t>::const_iterator it = m_receivedRachPreambleCount.begin();
-             it != m_receivedRachPreambleCount.end();
+        for (auto it = m_receivedRachPreambleCount.begin(); it != m_receivedRachPreambleCount.end();
              ++it)
         {
             NS_LOG_INFO(this << " preambleId " << (uint32_t)it->first << ": " << it->second
@@ -515,8 +514,7 @@
             else
             {
                 uint16_t rnti;
-                std::map<uint8_t, NcRaPreambleInfo>::iterator jt =
-                    m_allocatedNcRaPreambleMap.find(it->first);
+                auto jt = m_allocatedNcRaPreambleMap.find(it->first);
                 if (jt != m_allocatedNcRaPreambleMap.end())
                 {
                     rnti = jt->second.rnti;
@@ -716,10 +714,9 @@
 
     // store info of the packet received
 
-    //   std::map <uint16_t,UlInfoListElement_s>::iterator it;
     //   u_int rnti = tag.GetRnti ();
-    //  u_int lcid = tag.GetLcid ();
-    //   it = m_ulInfoListElements.find (tag.GetRnti ());
+    //   u_int lcid = tag.GetLcid ();
+    //   auto it = m_ulInfoListElements.find (tag.GetRnti ());
     //   if (it == m_ulInfoListElements.end ())
     //     {
     //       // new RNTI
@@ -749,10 +746,9 @@
     // forward the packet to the correspondent RLC
     uint16_t rnti = tag.GetRnti();
     uint8_t lcid = tag.GetLcid();
-    std::map<uint16_t, std::map<uint8_t, LteMacSapUser*>>::iterator rntiIt =
-        m_rlcAttached.find(rnti);
+    auto rntiIt = m_rlcAttached.find(rnti);
     NS_ASSERT_MSG(rntiIt != m_rlcAttached.end(), "could not find RNTI" << rnti);
-    std::map<uint8_t, LteMacSapUser*>::iterator lcidIt = rntiIt->second.find(lcid);
+    auto lcidIt = rntiIt->second.find(lcid);
     // NS_ASSERT_MSG (lcidIt != rntiIt->second.end (), "could not find LCID" << lcid);
 
     LteMacSapUser::ReceivePduParameters rxPduParams;
@@ -789,7 +785,7 @@
 {
     NS_LOG_FUNCTION(this << " rnti=" << rnti);
     std::map<uint8_t, LteMacSapUser*> empty;
-    std::pair<std::map<uint16_t, std::map<uint8_t, LteMacSapUser*>>::iterator, bool> ret =
+    auto ret =
         m_rlcAttached.insert(std::pair<uint16_t, std::map<uint8_t, LteMacSapUser*>>(rnti, empty));
     NS_ASSERT_MSG(ret.second, "element already present, RNTI already existed");
 
@@ -833,13 +829,12 @@
 
     NS_LOG_DEBUG("start checking for unprocessed preamble for rnti: " << rnti);
     // remove unprocessed preamble received for RACH during handover
-    std::map<uint8_t, NcRaPreambleInfo>::iterator jt = m_allocatedNcRaPreambleMap.begin();
+    auto jt = m_allocatedNcRaPreambleMap.begin();
     while (jt != m_allocatedNcRaPreambleMap.end())
     {
         if (jt->second.rnti == rnti)
         {
-            std::map<uint8_t, uint32_t>::const_iterator it =
-                m_receivedRachPreambleCount.find(jt->first);
+            auto it = m_receivedRachPreambleCount.find(jt->first);
             if (it != m_receivedRachPreambleCount.end())
             {
                 m_receivedRachPreambleCount.erase(it->first);
@@ -852,7 +847,7 @@
         }
     }
 
-    std::vector<MacCeListElement_s>::iterator itCeRxd = m_ulCeReceived.begin();
+    auto itCeRxd = m_ulCeReceived.begin();
     while (itCeRxd != m_ulCeReceived.end())
     {
         if (itCeRxd->m_rnti == rnti)
@@ -871,14 +866,11 @@
 {
     NS_LOG_FUNCTION(this << lcinfo.rnti << (uint16_t)lcinfo.lcId);
 
-    std::map<LteFlowId_t, LteMacSapUser*>::iterator it;
-
     LteFlowId_t flow(lcinfo.rnti, lcinfo.lcId);
 
-    std::map<uint16_t, std::map<uint8_t, LteMacSapUser*>>::iterator rntiIt =
-        m_rlcAttached.find(lcinfo.rnti);
+    auto rntiIt = m_rlcAttached.find(lcinfo.rnti);
     NS_ASSERT_MSG(rntiIt != m_rlcAttached.end(), "RNTI not found");
-    std::map<uint8_t, LteMacSapUser*>::iterator lcidIt = rntiIt->second.find(lcinfo.lcId);
+    auto lcidIt = rntiIt->second.find(lcinfo.lcId);
     if (lcidIt == rntiIt->second.end())
     {
         rntiIt->second.insert(std::pair<uint8_t, LteMacSapUser*>(lcinfo.lcId, msu));
@@ -928,8 +920,7 @@
     NS_LOG_FUNCTION(this);
 
     // Find user based on rnti and then erase lcid stored against the same
-    std::map<uint16_t, std::map<uint8_t, LteMacSapUser*>>::iterator rntiIt =
-        m_rlcAttached.find(rnti);
+    auto rntiIt = m_rlcAttached.find(rnti);
     rntiIt->second.erase(lcid);
 
     FfMacCschedSapProvider::CschedLcReleaseReqParameters params;
@@ -969,8 +960,7 @@
     uint8_t preambleId;
     for (preambleId = m_numberOfRaPreambles; preambleId < 64; ++preambleId)
     {
-        std::map<uint8_t, NcRaPreambleInfo>::iterator it =
-            m_allocatedNcRaPreambleMap.find(preambleId);
+        auto it = m_allocatedNcRaPreambleMap.find(preambleId);
         /**
          * Allocate preamble only if its free. The non-contention preamble
          * assigned to UE during handover or PDCCH order is valid only until the
@@ -1036,8 +1026,7 @@
     params.pdu->AddPacketTag(tag);
     params.componentCarrierId = m_componentCarrierId;
     // Store pkt in HARQ buffer
-    std::map<uint16_t, DlHarqProcessesBuffer_t>::iterator it =
-        m_miDlHarqProcessesPackets.find(params.rnti);
+    auto it = m_miDlHarqProcessesPackets.find(params.rnti);
     NS_ASSERT(it != m_miDlHarqProcessesPackets.end());
     NS_LOG_DEBUG(this << " LAYER " << (uint16_t)tag.GetLayer() << " HARQ ID "
                       << (uint16_t)params.harqProcessId);
@@ -1072,7 +1061,6 @@
     NS_LOG_FUNCTION(this);
     // Create DL PHY PDU
     Ptr<PacketBurst> pb = CreateObject<PacketBurst>();
-    std::map<LteFlowId_t, LteMacSapUser*>::iterator it;
     LteMacSapUser::TxOpportunityParameters txOpParams;
 
     for (std::size_t i = 0; i < ind.m_buildDataList.size(); i++)
@@ -1082,8 +1070,7 @@
             if (ind.m_buildDataList.at(i).m_dci.m_ndi.at(layer) == 1)
             {
                 // new data -> force emptying correspondent harq pkt buffer
-                std::map<uint16_t, DlHarqProcessesBuffer_t>::iterator it =
-                    m_miDlHarqProcessesPackets.find(ind.m_buildDataList.at(i).m_rnti);
+                auto it = m_miDlHarqProcessesPackets.find(ind.m_buildDataList.at(i).m_rnti);
                 NS_ASSERT(it != m_miDlHarqProcessesPackets.end());
                 for (std::size_t lcId = 0; lcId < (*it).second.size(); lcId++)
                 {
@@ -1102,10 +1089,9 @@
                     uint16_t rnti = ind.m_buildDataList.at(i).m_rnti;
                     uint8_t lcid =
                         ind.m_buildDataList.at(i).m_rlcPduList.at(j).at(k).m_logicalChannelIdentity;
-                    std::map<uint16_t, std::map<uint8_t, LteMacSapUser*>>::iterator rntiIt =
-                        m_rlcAttached.find(rnti);
+                    auto rntiIt = m_rlcAttached.find(rnti);
                     NS_ASSERT_MSG(rntiIt != m_rlcAttached.end(), "could not find RNTI" << rnti);
-                    std::map<uint8_t, LteMacSapUser*>::iterator lcidIt = rntiIt->second.find(lcid);
+                    auto lcidIt = rntiIt->second.find(lcid);
                     NS_ASSERT_MSG(lcidIt != rntiIt->second.end(),
                                   "could not find LCID" << (uint32_t)lcid << " carrier id:"
                                                         << (uint16_t)m_componentCarrierId);
@@ -1124,13 +1110,11 @@
                     if (ind.m_buildDataList.at(i).m_dci.m_tbsSize.at(k) > 0)
                     {
                         // HARQ retransmission -> retrieve TB from HARQ buffer
-                        std::map<uint16_t, DlHarqProcessesBuffer_t>::iterator it =
-                            m_miDlHarqProcessesPackets.find(ind.m_buildDataList.at(i).m_rnti);
+                        auto it = m_miDlHarqProcessesPackets.find(ind.m_buildDataList.at(i).m_rnti);
                         NS_ASSERT(it != m_miDlHarqProcessesPackets.end());
                         Ptr<PacketBurst> pb =
                             (*it).second.at(k).at(ind.m_buildDataList.at(i).m_dci.m_harqProcess);
-                        for (std::list<Ptr<Packet>>::const_iterator j = pb->Begin(); j != pb->End();
-                             ++j)
+                        for (auto j = pb->Begin(); j != pb->End(); ++j)
                         {
                             Ptr<Packet> pkt = (*j)->Copy();
                             m_enbPhySapProvider->SendMacPdu(pkt);
@@ -1198,8 +1182,7 @@
     rarMsg->SetRaRnti(raRnti);
     for (unsigned int i = 0; i < ind.m_buildRarList.size(); i++)
     {
-        std::map<uint16_t, uint32_t>::iterator itRapId =
-            m_rapIdRntiMap.find(ind.m_buildRarList.at(i).m_rnti);
+        auto itRapId = m_rapIdRntiMap.find(ind.m_buildRarList.at(i).m_rnti);
         if (itRapId == m_rapIdRntiMap.end())
         {
             NS_FATAL_ERROR("Unable to find rapId of RNTI " << ind.m_buildRarList.at(i).m_rnti);
@@ -1309,8 +1292,7 @@
 {
     NS_LOG_FUNCTION(this);
     // Update HARQ buffer
-    std::map<uint16_t, DlHarqProcessesBuffer_t>::iterator it =
-        m_miDlHarqProcessesPackets.find(params.m_rnti);
+    auto it = m_miDlHarqProcessesPackets.find(params.m_rnti);
     NS_ASSERT(it != m_miDlHarqProcessesPackets.end());
     for (std::size_t layer = 0; layer < params.m_harqStatus.size(); layer++)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-enb-phy.cc ns-3.40/src/lte/model/lte-enb-phy.cc
--- ns-3.39/src/lte/model/lte-enb-phy.cc	2023-07-05 14:23:48.009428000 -0700
+++ ns-3.40/src/lte/model/lte-enb-phy.cc	2023-09-27 13:30:37.818839600 -0700
@@ -378,8 +378,7 @@
 LteEnbPhy::AddUePhy(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
-    std::set<uint16_t>::iterator it;
-    it = m_ueAttached.find(rnti);
+    auto it = m_ueAttached.find(rnti);
     if (it == m_ueAttached.end())
     {
         m_ueAttached.insert(rnti);
@@ -396,8 +395,7 @@
 LteEnbPhy::DeleteUePhy(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
-    std::set<uint16_t>::iterator it;
-    it = m_ueAttached.find(rnti);
+    auto it = m_ueAttached.find(rnti);
     if (it == m_ueAttached.end())
     {
         NS_LOG_ERROR("UE not attached");
@@ -461,7 +459,7 @@
     NS_LOG_FUNCTION(this);
     double rbgTxPower = m_txPower;
 
-    std::map<uint16_t, double>::iterator it = m_paMap.find(rnti);
+    auto it = m_paMap.find(rnti);
     if (it != m_paMap.end())
     {
         rbgTxPower = m_txPower + it->second;
@@ -525,8 +523,7 @@
 LteEnbPhy::ReceiveLteControlMessageList(std::list<Ptr<LteControlMessage>> msgList)
 {
     NS_LOG_FUNCTION(this);
-    std::list<Ptr<LteControlMessage>>::iterator it;
-    for (it = msgList.begin(); it != msgList.end(); it++)
+    for (auto it = msgList.begin(); it != msgList.end(); it++)
     {
         switch ((*it)->GetMessageType())
         {
@@ -626,12 +623,10 @@
 
     // update info on TB to be received
     std::list<UlDciLteControlMessage> uldcilist = DequeueUlDci();
-    std::list<UlDciLteControlMessage>::iterator dciIt = uldcilist.begin();
     NS_LOG_DEBUG(this << " eNB Expected TBs " << uldcilist.size());
-    for (dciIt = uldcilist.begin(); dciIt != uldcilist.end(); dciIt++)
+    for (auto dciIt = uldcilist.begin(); dciIt != uldcilist.end(); dciIt++)
     {
-        std::set<uint16_t>::iterator it2;
-        it2 = m_ueAttached.find((*dciIt).GetDci().m_rnti);
+        auto it2 = m_ueAttached.find((*dciIt).GetDci().m_rnti);
 
         if (it2 == m_ueAttached.end())
         {
@@ -674,8 +669,7 @@
     m_dlPowerAllocationMap.clear();
     if (!ctrlMsg.empty())
     {
-        std::list<Ptr<LteControlMessage>>::iterator it;
-        it = ctrlMsg.begin();
+        auto it = ctrlMsg.begin();
         while (it != ctrlMsg.end())
         {
             Ptr<LteControlMessage> msg = (*it);
@@ -726,10 +720,7 @@
             else if (msg->GetMessageType() == LteControlMessage::RAR)
             {
                 Ptr<RarLteControlMessage> rarMsg = DynamicCast<RarLteControlMessage>(msg);
-                for (std::list<RarLteControlMessage::Rar>::const_iterator it =
-                         rarMsg->RarListBegin();
-                     it != rarMsg->RarListEnd();
-                     ++it)
+                for (auto it = rarMsg->RarListBegin(); it != rarMsg->RarListEnd(); ++it)
                 {
                     if (it->rarPayload.m_grant.m_ulDelay)
                     {
@@ -870,10 +861,9 @@
 LteEnbPhy::CreatePuschCqiReport(const SpectrumValue& sinr)
 {
     NS_LOG_FUNCTION(this << sinr);
-    Values::const_iterator it;
     FfMacSchedSapProvider::SchedUlCqiInfoReqParameters ulcqi;
     ulcqi.m_ulCqi.m_type = UlCqi_s::PUSCH;
-    for (it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
+    for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
     {
         double sinrdb = 10 * std::log10((*it));
         // NS_LOG_DEBUG ("ULCQI RB " << i << " value " << sinrdb);
@@ -936,7 +926,7 @@
     NS_ASSERT_MSG(success, "DeleteUePhy() failed");
 
     // remove also P_A value
-    std::map<uint16_t, double>::iterator it = m_paMap.find(rnti);
+    auto it = m_paMap.find(rnti);
     if (it != m_paMap.end())
     {
         m_paMap.erase(it);
@@ -945,7 +935,7 @@
     // additional data to be removed
     m_uplinkSpectrumPhy->RemoveExpectedTb(rnti);
     // remove srs info to avoid trace errors
-    std::map<uint16_t, uint16_t>::iterator sit = m_srsSampleCounterMap.find(rnti);
+    auto sit = m_srsSampleCounterMap.find(rnti);
     if (sit != m_srsSampleCounterMap.end())
     {
         m_srsSampleCounterMap.erase(rnti);
@@ -955,7 +945,7 @@
 
     for (auto& ctrlMessageList : m_controlMessagesQueue)
     {
-        std::list<Ptr<LteControlMessage>>::iterator ctrlMsgListIt = ctrlMessageList.begin();
+        auto ctrlMsgListIt = ctrlMessageList.begin();
         while (ctrlMsgListIt != ctrlMessageList.end())
         {
             Ptr<LteControlMessage> msg = (*ctrlMsgListIt);
@@ -1000,7 +990,7 @@
 {
     NS_LOG_FUNCTION(this << rnti);
 
-    std::map<uint16_t, double>::iterator it = m_paMap.find(rnti);
+    auto it = m_paMap.find(rnti);
 
     if (it == m_paMap.end())
     {
@@ -1016,12 +1006,11 @@
 LteEnbPhy::CreateSrsCqiReport(const SpectrumValue& sinr)
 {
     NS_LOG_FUNCTION(this << sinr);
-    Values::const_iterator it;
     FfMacSchedSapProvider::SchedUlCqiInfoReqParameters ulcqi;
     ulcqi.m_ulCqi.m_type = UlCqi_s::SRS;
     int i = 0;
     double srsSum = 0.0;
-    for (it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
+    for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
     {
         double sinrdb = 10 * log10((*it));
         //       NS_LOG_DEBUG ("ULCQI RB " << i << " value " << sinrdb);
@@ -1048,7 +1037,7 @@
 LteEnbPhy::CreateSrsReport(uint16_t rnti, double srs)
 {
     NS_LOG_FUNCTION(this << rnti << srs);
-    std::map<uint16_t, uint16_t>::iterator it = m_srsSampleCounterMap.find(rnti);
+    auto it = m_srsSampleCounterMap.find(rnti);
     if (it == m_srsSampleCounterMap.end())
     {
         // create new entry
@@ -1119,7 +1108,7 @@
 
     NS_LOG_DEBUG(this << " ENB SRS P " << m_srsPeriodicity << " RNTI " << rnti << " offset "
                       << GetSrsSubframeOffset(srcCi) << " CI " << srcCi);
-    std::map<uint16_t, uint16_t>::iterator it = m_srsCounter.find(rnti);
+    auto it = m_srsCounter.find(rnti);
     if (it != m_srsCounter.end())
     {
         (*it).second = GetSrsSubframeOffset(srcCi) + 1;
